// Code generated by MockGen. DO NOT EDIT.
// Source: /home/hexedchild1/go/src/gitlab.com/alex.ognezvezd/mygolangservice/modules/citation/repository/citation_interface.go

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	entity "gitlab.com/alex.ognezvezd/mygolangservice/modules/citation/entity"
	params "gitlab.com/golight/dao/params"
)

// MockQuoteser is a mock of Quoteser interface.
type MockQuoteser struct {
	ctrl     *gomock.Controller
	recorder *MockQuoteserMockRecorder
}

// MockQuoteserMockRecorder is the mock recorder for MockQuoteser.
type MockQuoteserMockRecorder struct {
	mock *MockQuoteser
}

// NewMockQuoteser creates a new mock instance.
func NewMockQuoteser(ctrl *gomock.Controller) *MockQuoteser {
	mock := &MockQuoteser{ctrl: ctrl}
	mock.recorder = &MockQuoteserMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockQuoteser) EXPECT() *MockQuoteserMockRecorder {
	return m.recorder
}

// Create mocks base method.
func (m *MockQuoteser) Create(ctx context.Context, dto entity.Quote) (int64, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", ctx, dto)
	ret0, _ := ret[0].(int64)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Create indicates an expected call of Create.
func (mr *MockQuoteserMockRecorder) Create(ctx, dto interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*MockQuoteser)(nil).Create), ctx, dto)
}

// Delete mocks base method.
func (m *MockQuoteser) Delete(ctx context.Context, quotesID int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Delete", ctx, quotesID)
	ret0, _ := ret[0].(error)
	return ret0
}

// Delete indicates an expected call of Delete.
func (mr *MockQuoteserMockRecorder) Delete(ctx, quotesID interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Delete", reflect.TypeOf((*MockQuoteser)(nil).Delete), ctx, quotesID)
}

// GetByID mocks base method.
func (m *MockQuoteser) GetByID(ctx context.Context, quotesID int) (entity.Quote, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetByID", ctx, quotesID)
	ret0, _ := ret[0].(entity.Quote)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetByID indicates an expected call of GetByID.
func (mr *MockQuoteserMockRecorder) GetByID(ctx, quotesID interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetByID", reflect.TypeOf((*MockQuoteser)(nil).GetByID), ctx, quotesID)
}

// GetList mocks base method.
func (m *MockQuoteser) GetList(ctx context.Context, condition params.Condition) ([]entity.Quote, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetList", ctx, condition)
	ret0, _ := ret[0].([]entity.Quote)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetList indicates an expected call of GetList.
func (mr *MockQuoteserMockRecorder) GetList(ctx, condition interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetList", reflect.TypeOf((*MockQuoteser)(nil).GetList), ctx, condition)
}

// GetRandom mocks base method.
func (m *MockQuoteser) GetRandom() (*entity.Quote, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetRandom")
	ret0, _ := ret[0].(*entity.Quote)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetRandom indicates an expected call of GetRandom.
func (mr *MockQuoteserMockRecorder) GetRandom() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetRandom", reflect.TypeOf((*MockQuoteser)(nil).GetRandom))
}

// Update mocks base method.
func (m *MockQuoteser) Update(ctx context.Context, dto entity.Quote) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", ctx, dto)
	ret0, _ := ret[0].(error)
	return ret0
}

// Update indicates an expected call of Update.
func (mr *MockQuoteserMockRecorder) Update(ctx, dto interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*MockQuoteser)(nil).Update), ctx, dto)
}
